<?php

namespace Bydedi\Flux\GoogleShopping\Exception;

use Exception;

/**
 * Class EmptyParamException
 * @package Bydedi\Flux\GoogleShopping\Exception
 */
class EmptyParamException extends Exception
{

    /**
     * EmptyParamException constructor.
     * @param string $paramName
     * @param int $code
     * @param Exception|null $previous
     */
    public function __construct($paramName, $code = 0, Exception $previous = null)
    {
        $message = sprintf("Param %s has an empty value", $paramName);
        parent::__construct($message, $code, $previous);
    }

    /**
     * @return string
     */
    public function __toString()
    {
        return __CLASS__ . ": [{$this->code}]: {$this->message}\n";
    }
}